Subject: bug#3863 closed by Kevin Ryde <[email-masked]> (Re: bug#3863: 23.1.50; possible save-match-data in copyright.el)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 02 Oct 2009 00:20:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3863: 23.1.50; possible save-match-data in copyright.el

It has been closed by Kevin Ryde <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Kevin Ryde <[email-masked]> by
replying to this email.

-- 
3863: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3863
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3863: 23.1.50; possible save-match-data in copyright.el
From: Kevin Ryde <[email-masked]>
To: [email-masked]
Date: Fri, 02 Oct 2009 10:14:07 +1000

Closing for,

Stefan Monnier <[email-masked]> writes:
> installed,

Subject: 23.1.50; possible save-match-data in copyright.el
From: Kevin Ryde <[email-masked]>
To: [email-masked]
Date: Thu, 16 Jul 2009 10:05:39 +1000

In recent copyright.el I noticed copyright-update using the match data
after a y-or-n-p query.  Is that a good idea?

When running it in emacs 22 I seemed to sometimes get the match data
clobbered by y-or-n-p.  I never tracked down the circumstances, but
wondered if copyright.el shouldn't rely on what an input func like
y-or-n-p could do, per diff below.

In GNU Emacs 23.1.50.1 (i586-pc-linux-gnu, GTK+ Version 2.16.4)
 of 2009-07-12 on blah.blah
configured using `configure  'CFLAGS=-O -g' '--prefix=/down/emacs/b/inst' '--with-x-toolkit=gtk''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default-enable-multibyte-characters: t

2009-07-16  Kevin Ryde  <[email-masked]>

	* emacs-lisp/copyright.el (copyright-update): save-match-data across
	y-or-n-p, for safety.

*** copyright.el	16 Jul 2009 09:44:20 +1000	1.81
--- copyright.el	16 Jul 2009 09:55:57 +1000	
***************
*** 223,230 ****
                 (< (string-to-number (match-string 3))
                    (string-to-number copyright-current-gpl-version))
  	       (or noquery
! 		   (y-or-n-p (format "Replace GPL version by %s? "
! 				     copyright-current-gpl-version)))
  	       (progn
  		 (if (match-end 2)
  		     ;; Esperanto bilingual comment in two-column.el
--- 223,231 ----
                 (< (string-to-number (match-string 3))
                    (string-to-number copyright-current-gpl-version))
  	       (or noquery
!                    (save-match-data
!                      (y-or-n-p (format "Replace GPL version by %s? "
!                                        copyright-current-gpl-version))))
  	       (progn
  		 (if (match-end 2)
  		     ;; Esperanto bilingual comment in two-column.el